# -*- rpm-spec -*-
# $Id: samba3,v 1.93 2003/10/31 16:38:55 ab Exp $
#add_findprov_lib_path /lib/security
%def_disable aw

# **** NOTE **** NOTE **** NOTE ****
# This is special spec file for XScale build
# It differs in options we use to compile Samba with for AW subproject, mainly:
# - We do not build documentation
# - We do not use CUPS
# These decisions are enforced through '--enable aw' switch


# Enable xml and mysql passdb modules only for ALT Linux build
%if_enabled aw
%define version_string v5.3
%def_disable xml
%def_disable mysql
%ifnarch armv5l
%def_enable cups
%def_enable gendoc
%else
%def_disable cups
%def_disable gendoc
%endif
%else
%define version_string ALT/3.0
%def_enable xml
%def_enable mysql
# Generate documentation out of Docbook sources by default
%def_enable gendoc
# Use CUPS by default
%def_enable cups
%endif

%define negotiate_kernel 02041803
# Current ALT kernel version, used for enabling 'negotiate'
# feature in smbmount, works only with kernels after %negotiate_kernel
%define current_kernel	02041806

%set_autoconf_version 2.5
%set_automake_version 1.6

%define baseversion 3.0
%define origname samba

%if_disabled aw
Name: samba3
%else
Name: %origname
%endif
Version: 3.0
Release: alt46.1m
Summary: Samba SMB server
License: GPL
Group: System/Servers

Source: samba-%baseversion.release.tar.bz2
Source1: samba.log
Source2: mount.smb
Source3: samba.xinetd
Source4: swat_48.xpm.bz2
Source5: swat_32.xpm.bz2
Source6: swat_16.xpm.bz2
Source7: smb.init
Source8: winbind.init
Source10: ChangeLog.SAMBA_3_0.bz2
Source12: smbmount.control
Source13: cifsmount.control
Source14: samba-docs.tar.bz2
Source15: using_samba.tar.bz2

# Config files for ALT Linux and ApplianceWare respectively
Source21: smb.conf
Source22: smb-aw.conf
Source23: system-auth-winbind
Source24: aw-system-auth-winbind
Source25: VERSION
# Pam config for samba-based applications like swat
Source26: samba

Patch0: samba-%baseversion.release-cvs-stable.patch.bz2

# Fix build
Patch1: smbw.patch.bz2
Patch12: samba-3.0.0-buildroot.patch.bz2
Patch17: smbmount-sbin.patch

# ApplianceWare compatibility patch
Patch34: aw-smbstatus.patch

# Bugfixes:
Patch38: samba-3.0-gencache-init-alt.patch
Patch39: samba-3.0-getgrouplist-alt.patch
Patch40: samba-3.0-vendorversion-alt.patch

# Patches which are under testing:

Requires: %name-common = %version-%release

BuildPreReq: autoconf_2.5, automake_1.6
BuildRequires: glibc-devel
# Automatically added by buildreq on Thu Apr 24 2003
BuildRequires: libattr-devel libkrb5-devel libldap-devel
BuildRequires: libncurses-devel libpam-devel libpopt-devel libreadline-devel libsasl2 libssl-devel
BuildRequires: zlib-devel libacl-devel

%if_enabled cups
BuildRequires: libcups-devel
%endif

%if_enabled gendoc
BuildRequires: docbook-dtds docbook-style-xsl db2latex-xsl latex2html
BuildRequireS: libxslt tetex-core tetex-latex xml-common xsltproc
%endif

%if_enabled xml
BuildRequires: libxml2-devel
%endif

%if_enabled mysql
BuildRequires: libMySQL-devel libxml2-devel
%endif

%if_enabled aw
%ifarch armv5l
BuildRequires: kernel-headers-iq31244
%else
BuildRequires: kernel-headers-aw
%endif
%else
BuildRequires: kernel-headers-std
%endif

PreReq: chkconfig, coreutils, sed, grep, glibc-gconv-modules
PreReq: %name-common = %version-%release

%package common
Summary: Files used by both Samba servers and clients
Group: System/Servers
Provides: pam-winbind
Conflicts: %origname-common < 3.0

%package client
Summary: Samba (SMB) client programs
Group: Networking/Other
PreReq: %name-common = %version-%release
Obsoletes: smbfs

%package client-devel
Summary: Samba client shared library development headers
Group: Development/C
Requires: %name-client = %version-%release
Requires: libcups-devel libncurses-devel libpam-devel libreadline-devel libssl openssl-devel
Requires: libacl-devel

%package client-devel-static
Summary: Samba client static library
Group: Development/C
Requires: %name-client-devel = %version-%release
Requires: libacl-devel-static

%package client-cups
Summary: Samba (SMB) support for CUPS
Group: Networking/Other
PreReq: cups
Requires: %name-client = %version-%release, cups

%package vfs
Summary: Sample VFS modules (audit, recycle bin, netatalk, readonly) for Samba server
Group: System/Servers
Autoreq: yes
Requires: %name = %version-%release

%if_enabled xml
%package pdb-xml
Summary: XML Passdb backend for Samba server
Group: System/Servers
Autoreq: yes
Requires: %name = %version-%release
%endif

%if_enabled mysql
%package pdb-mysql
Summary: MySQL Passdb backend for Samba server
Group: System/Servers
Autoreq: yes
Requires: %name = %version-%release
%endif

%package vfs-devel
Summary: Files needed for building VFS modules for Samba server
Group: Development/C
Autoreq: no

Requires: %name-common = %version-%release
Requires: libncurses-devel libpam-devel
Requires: kernel-headers libpam-devel libreadline-devel openssl-devel
Requires: libldap-devel libkrb5-devel libpopt-devel
Requires: libacl-devel libattr-devel

%package swat
Summary: SWAT -- Samba Web Administration Tool
Group: Security/Networking
Requires: %name = %version-%release

%package doc
Summary: Samba documentation
Group: Networking/Other
Requires: %name-common = %version-%release

%description
Samba provides an SMB server which can be used to provide network
services to SMB (sometimes called "Lan Manager") clients, including
various versions of MS Windows, OS/2, and other Linux machines. Samba
uses NetBIOS over TCP/IP (NetBT) protocols and does NOT need NetBEUI
(Microsoft Raw NetBIOS frame) protocol.

Samba-3 features an almost working NT Domain Control and Active
Directory support capabilities and includes the new SWAT (Samba Web
Administration Tool) that allows samba's smb.conf file to be remotely
managed using your favourite web browser. For the time being this is
being enabled on TCP port 901 via xinetd.

Please refer to the WHATSNEW.txt document for fixup information.  This
binary release includes encrypted password support.  Please read the
smb.conf file and ENCRYPTION.txt in the docs directory for
implementation details.

%description common
Samba3-common provides files necessary for both the server and client
packages of Samba.

%description client
Samba3-client provides some SMB clients, which complement the built-in
SMB filesystem in Linux. These allow the accessing of SMB shares.
Support for printing to SMB printers is in Samba-client-cups package.

%description client-devel
Samba client-side development headers

%description client-devel-static
Static version of Samba client library (libsmbclient)

%description client-cups
Samba-client-cups provides pluggable backend for CUPS printing system.
It allows printing to SMB printers.

%description vfs
Samba-vfs provides prebuilt Samba server VFS modules (audit, recycle bin, and netatalk).

%if_enabled xml
%description pdb-xml
This package provides XML-based Passdb backend for Samba server.
%endif

%if_enabled mysql
%description pdb-mysql
This package provides MySQL-based Passdb backend for Samba server.
%endif

%description vfs-devel
Samba3-vfs-devel provides files necessary for building Samba server
VFS modules (for example, audit or antivirus scanner modules).

%description doc
This package contains Samba documentation.

%description swat
Samba3-swat provides Samba web administration tool which allows 
a Samba administrator to configure the complex smb.conf file
via web browser.

%prep
%setup -q -n%origname-%version.release
%patch0 -p1 -b .post-release
%patch1 -p1 -b .smbw
%patch12 -p1 -b .buildroot
%patch17 -p0
%patch34 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1

# Correct documentation a bit.
find examples docs -type f -print0 |
	xargs -r0 fgrep -l /usr/local/samba/var/log |
	xargs /usr/bin/subst 's|/usr/local/samba/var/log|%_logdir/%name/log|g'
find examples docs -type f -print0 |
	xargs -r0 egrep -l '/(opt|usr/local)/samba/(bin/|private/)?(smbd|nmbd|swat|winbindd)' |
	xargs /usr/bin/subst  's,/\(opt|usr/local\)/samba/\(bin/|private/\)?\(smbd|nmbd|swat|winbindd\),%_sbindir/\3,g'
find examples docs -type f -print0 |
	xargs -r0 egrep -l '/(opt|usr/local)/samba/(bin/|private/)?(convert_smbpasswd|findsmb|make_printerdef|make_smbcodepage|make_unicodemap|nmblookup|rpcclient|smbclient|smbmount|smbpasswd|smbprint|smbsh|smbspool|smbstatus|smbtar|smbumount|testparm|testprns|wbinfo)' |
	xargs /usr/bin/subst  's,/\(opt|usr/local\)/samba/\(bin/|private/\)?\(convert_smbpasswd|findsmb|make_printerdef|make_smbcodepage|make_unicodemap|nmblookup|rpcclient|smbclient|smbmount|smbpasswd|smbprint|smbsh|smbspool|smbstatus|smbtar|smbumount|testparm|testprns|wbinfo\),%_bindir/\3,g'
find examples docs -type f -print0 |
	xargs -r0 fgrep -l '/usr/local/samba/lib/smb.conf' |
	xargs /usr/bin/subst  's,/usr/local/samba/lib/smb.conf,%_sysconfdir/%name/smb.conf,g'
find examples docs -type f -print0 |
	xargs -r0 fgrep -l '/usr/local/samba/netlogon' |
	xargs /usr/bin/subst  's,/usr/local/samba/netlogon,%_localstatedir/%name/netlogon,g'

# Replace version to our one
%__cp %SOURCE25 source/
/usr/bin/subst 's#@defaultvendor@#"%version_string"#' source/VERSION
%__chmod +x source/script/mkversion.sh

%if_enabled gendoc
# Import documentation from samba-docs CVS
    rm -rf docs
    mkdir docs
pushd docs
    # Using Samba, 2nd ed.
    tar xjf %SOURCE15
    # Documentation sources
    tar xjf %SOURCE14
    mv samba-docs/* .
    rm -rf samba-docs
popd
%endif

%build
pushd source
./autogen.sh
export CPPFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE"
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE"
# We do not use libcap due its wrong unconditional __u32 typedefs
export ac_cv_header_sys_capability_h=no
export RPM_FINDPROV_LIB_PATH=/lib/security

# Export CC=gcc if it CC is unset. This allows us to reuse ccache in BTE
if [ -z "$CC" ] ; then
	export CC=gcc
fi

# Enable experimental SAM modules only if requested by --enable options to rpmbuild
PDBMOD=
%if_enabled xml
PDBMOD="xml,"
%endif
%if_enabled mysql
PDBMOD="${PDBMOD}mysql"
%endif
[ -n "$PDBMOD" ] || PDBMOD=no

%configure \
	--libdir=%_libdir/%origname \
	--sysconfdir=%_sysconfdir/%origname \
	--localstatedir=%_var \
        --with-logfilebase=%_logdir/%origname \
	--with-configdir=%_sysconfdir/%origname \
	--with-privatedir=%_sysconfdir/%origname \
	--with-smbmount \
	--with-syslog \
        --with-ads \
	--with-automount \
	--with-pam \
	--with-sambabook=%_datadir/%origname/swat/using_samba \
	--with-mmap \
	--with-utmp \
	--with-netatalk \
	--with-quotas \
	--with-smbwrapper \
	--with-acl-support \
	--with-expsam=$PDBMOD \
	--with-winbind \
	--with-swatdir=%_datadir/%origname/swat \
	--with-piddir=%_lockdir \
	--with-lockdir=%_cachedir/%origname \
	--with-libsmbclient=yes

# Make prototypes using uniprocessor (important, proto does not work for SMP)
%__make  \
    proto

# Make Samba using SMP if available
# NO SMP
%make  \
    all bin/smbfilter modules \
    nsswitch nsswitch/libnss_winbind.so nsswitch/libnss_wins.so nsswitch/pam_winbind.so \
    bin/tdbbackup bin/libsmbclient.so bin/libsmbclient.a

$CC -o bin/cifsmount client/mount.cifs.c
popd

# Generate documentation if requested
%if_enabled gendoc
pushd docs/docbook
autoconf
./configure
%__make pdf html htmlman htmlfaq manpages
popd
%endif

# Do not distribute sources of documentation
%__rm -rf docs/docbook

%install
pushd source
%make DESTDIR=%buildroot install-everything
popd

%__mkdir -p %buildroot/sbin
%__mkdir -p %buildroot/%_sysconfdir/{%origname,logrotate.d,pam.d,xinetd.d}
%__mkdir -p %buildroot/%_initdir
%__mkdir -p %buildroot/%_cachedir/%origname/winbindd_privileged
%__mkdir -p %buildroot/%_logdir/%origname
%__mkdir -p %buildroot/%_spooldir/%origname
%__mkdir -p %buildroot/%_var/lib/%origname/{netlogon,profiles}
%__mkdir -p %buildroot/lib/security
%__mkdir -p %buildroot/%_datadir/%origname/vfs-devel/source
%__mkdir -p %buildroot/%_includedir

# Install samba-vfs-devel
pushd source
for i in `find . -name '*.h' -exec dirname '{}' \; |sort -u` ; do
    %__mkdir -p %buildroot/%_datadir/%origname/vfs-devel/source/$i
    %__cp  $i/*.h %buildroot/%_datadir/%origname/vfs-devel/source/$i/
done

%__cp include/libsmbclient.h %buildroot/%_includedir/
popd

%__cp -r examples/VFS %buildroot/%_datadir/%origname/vfs-devel/source/

for i in mksmbpasswd.sh
do
  %__install -m755 source/script/$i %buildroot/%_bindir
done

for i in smbfilter smbsh smbwrapper.so cifsmount
do
  %__install -m755 source/bin/$i %buildroot/%_bindir
done

for i in smbmnt
do
  %__install -m755 source/bin/$i %buildroot/%_sbindir
done

for i in .a .so
do
  %__install -m755 source/bin/libsmbclient$i %buildroot/%_libdir/
done

# Install the nsswitch library extension file
for i in wins winbind ; do
  %__install -m755 source/nsswitch/libnss_$i.so %buildroot/lib
# Make link for Name Switch modules
  ( cd %buildroot/lib; %__ln_s libnss_$i.so libnss_$i.so.2; )
done 

# Install PAM modules
%__mkdir -p %buildroot/lib/security
%__install -m755 source/nsswitch/pam_winbind.so %buildroot/lib/security

%if_enabled aw
	%__install -m644 %{SOURCE22} %buildroot/%_sysconfdir/%origname/smb.conf
%else
	%__install -m644 %{SOURCE21} %buildroot/%_sysconfdir/%origname/smb.conf
%endif
	%__install -m644 packaging/Mandrake/smbusers %buildroot/%_sysconfdir/%origname/smbusers
	%__install -m755 packaging/Mandrake/smbprint %buildroot/%_bindir
	%__install -m755 source/script/findsmb %buildroot/%_bindir
%if_enabled aw
	%__install -m644 %{SOURCE24} %buildroot/%_sysconfdir/pam.d/system-auth-winbind
%else
	%__install -m644 %{SOURCE23} %buildroot/%_sysconfdir/pam.d/system-auth-winbind
%endif
	%__install -m644 %{SOURCE26} %buildroot/%_sysconfdir/pam.d/samba
	%__install -m644 %SOURCE1 %buildroot/%_sysconfdir/logrotate.d/%origname

	%__install -p -m755 -D %SOURCE7 %buildroot%_initdir/smb
	%__install -p -m755 -D %SOURCE8 %buildroot%_initdir/winbind
	%__ln_s  %_initdir/smb %buildroot%_sbindir/samba
	
# Link smbmount to /sbin/mount.smb and /sbin/mount.smbfs
	%__ln_s %_bindir/smbmount %buildroot/sbin/mount.smb
	%__ln_s %_bindir/smbmount %buildroot/sbin/mount.smbfs
	%__ln_s %_bindir/cifsmount %buildroot/sbin/mount.cifs
	echo 127.0.0.1 localhost > %buildroot/%_sysconfdir/%origname/lmhosts

# Link smbspool to CUPS (does not require installed CUPS)
	%__install -d %buildroot/%_libdir/cups/backend
	%__ln_s %_bindir/smbspool %buildroot/%_libdir/cups/backend/smb

## xinetd support
	%__mkdir -p %buildroot/etc/xinetd.d
	%__install -m644 %SOURCE3 %buildroot/%_sysconfdir/xinetd.d/swat

# menu support
	%__mkdir -p %buildroot%_menudir
	%__cat > %buildroot%_menudir/%origname << EOF
?package(%origname):command="gnome-moz-remote http://localhost:901/" needs="gnome" \
icon="swat.xpm" section="Configuration/Networking" title="Samba Configuration" \
longtitle="The Swat Samba Administration Tool"
?package(%origname):command="sh -c '\$BROWSER http://localhost:901/'" needs="x11" \
icon="swat.xpm" section="Configuration/Networking" title="Samba Configuration" \
longtitle="The Swat Samba Administration Tool"
EOF

%__mkdir -p %buildroot%_liconsdir %buildroot%_iconsdir %buildroot%_miconsdir

bzcat %SOURCE4 > %buildroot%_liconsdir/swat.xpm
bzcat %SOURCE5 > %buildroot%_iconsdir/swat.xpm
bzcat %SOURCE6 > %buildroot%_miconsdir/swat.xpm

# Install documentation.
%__mkdir -p %buildroot%_docdir/%origname-%version
install -p -m644 README Manifest WHATSNEW.txt Roadmap %buildroot%_docdir/%origname-%version
%__cp -a docs examples %buildroot%_docdir/%origname-%version
install -p -m644 %{SOURCE10} %buildroot%_docdir/%origname-%version
%if_enabled gendoc
%__cp -a docs/using_samba %buildroot%_datadir/%origname/swat/
%else
%__cp -a docs/htmldocs/using_samba %buildroot%_datadir/%origname/swat/
%endif

pushd %buildroot%_docdir/%origname-%version
find . -type f | xargs chmod 644
popd

# Install control(8) support for smbmount
%__install -pD -m755 %SOURCE12 %buildroot/etc/control.d/facilities/smbmount
%__install -pD -m755 %SOURCE13 %buildroot/etc/control.d/facilities/cifsmount

# This is a hack but we really don't need to bytecompile 
# Python code as we didn't build it yet.
unset RPM_PYTHON

%post
%post_service smb
# Add a unix group for samba machine accounts
groupadd -frg 421 machines

# Migrate tdb's from /var/lock/samba (taken from official samba spec file):
if [ -d %_lockdir/%origname ]; then
    echo "Moving tdb files in /var/lock/samba/*.tdb to /var/cache/samba/*.tdb"
    for i in %_lockdir/%origname/*.tdb; do
    if [ -f $i ]; then
	    newname=`echo $i | %__sed -e's|%_lockdir/%origname|%_cachedir/%origname|'`
    	    echo "Moving $i to $newname"
    	    %__mv $i $newname
    fi
    done
fi

# Remove the transient tdb files (modified from version in off. samba spec:
for TDB in brlock unexpected locking messages; do
	if [ -e %_cachedir/%origname/$TDB.tdb ]; then
		%__rm -f %_cachedir/%origname/$TDB.tdb;
	fi;
done

if [ -d %_lockdir/%origname ]; then
	%__rm -rf %_lockdir/%origname
fi

# Hack to fix upgrade from ancient versions.
if [ $1 -gt 1 -a ! -e /etc/inetd.conf ]; then
	touch /etc/inetd.conf
fi

%pre common
/usr/sbin/groupadd -r -f winbind &>/dev/null

%post common
%post_service winbind

%preun common
%preun_service winbind

%post swat
if [ -f %_lockdir/subsys/xinetd ]; then
	service xinetd sreload || :
fi
%update_menus

%preun
%preun_service smb
if [ $1 = 0 ] ; then
    if [ -e %_lockdir/%origname/browse.dat ]; then
	    %__rm -f %_lockdir/%origname/browse.dat
    fi
    if [ -e %_lockdir/%origname/wins.dat ]; then
	    %__rm -f %_lockdir/%origname/wins.dat
    fi
    if [ -d %_logdir/%origname ]; then
	    %__rm -rf %_logdir/%origname/*
    fi
    if [ -d %_lockdir/%origname ]; then
	    %__rm -rf %_lockdir/%origname/*
    fi
fi

%postun
# Remove swat entry from xinetd
if [ $1 = 0 -a -f %_sysconfdir/xinetd.conf -a -f %_lockdir/subsys/xinetd ]; then
	service xinetd sreload || :
fi

%clean_menus

%triggerpostun -- samba < 1.9.18p7
if [ $1 != 0 ]; then
	/sbin/chkconfig --add smb
fi

%triggerpostun -- samba < 2.0.10
if [ $1 != 0 ]; then
	[ -d %_lockdir/%origname ] || %__mkdir -m755 %_lockdir/%origname
	[ -d %_spooldir/%origname ] || %__mkdir -m1777 %_spooldir/%origname
	[ ! -s %_sysconfdir/inetd.conf ] || %__chmod 644 %_sysconfdir/services %_sysconfdir/inetd.conf
else
	[ -s %_sysconfdir/inetd.conf ] || rm -f %_sysconfdir/inetd.conf
fi

%files swat
%config(noreplace) %_sysconfdir/xinetd.d/swat
%_sbindir/swat
%attr(-,root,root) %_datadir/%origname/swat/help/*
%attr(-,root,root) %_datadir/%origname/swat/images/*
%attr(-,root,root) %_datadir/%origname/swat/include/*
%attr(-,root,root) %_datadir/%origname/swat/using_samba/*
%_man8dir/swat.8*
%_menudir/%origname
%_miconsdir/*.xpm
%_liconsdir/*.xpm
%_iconsdir/*.xpm

%files
%_sbindir/%origname
%_sbindir/smbd
%_sbindir/nmbd
%_bindir/smbstatus
%_bindir/pdbedit
%_bindir/profiles
%attr(-,root,root) %config(noreplace) %_sysconfdir/%origname/smbusers
%attr(-,root,root) %config %_initdir/smb
%attr(-,root,root) %config(noreplace) %_sysconfdir/logrotate.d/%origname
%_man1dir/smbstatus.1*
%_man1dir/profiles.1*
%_man8dir/smbd.8*
%_man8dir/nmbd.8*
%_man8dir/pdbedit.8*
%attr(775,root,root) %dir %_var/lib/%origname/netlogon
%attr(775,root,root) %dir %_var/lib/%origname/profiles
%dir %_cachedir/%origname
%dir %_logdir/%origname
%attr(1777,root,root) %dir %_spooldir/%origname
%doc %dir %_docdir/%origname-%version
%doc %_docdir/%origname-%version/[A-Z]*

%files client
%ifnarch alpha
/sbin/mount.smb
/sbin/mount.smbfs
/sbin/mount.cifs
%config /etc/control.d/facilities/smbmount
%config /etc/control.d/facilities/cifsmount
%attr(755,root,root) %_bindir/smbmount
%attr(755,root,root) %_bindir/cifsmount
%attr(4711,root,root) %_bindir/smbumount
%attr(4711,root,root) %_sbindir/smbmnt
%_man8dir/smbmnt.8*
%_man8dir/smbmount.8*
%_man8dir/mount.cifs.8*
%_man8dir/smbumount.8*
%endif
%_bindir/nmblookup
%_bindir/findsmb
%_bindir/smbprint
%_bindir/smbtar
%_bindir/smbspool
%_bindir/smbclient
%_bindir/smbtree
%_bindir/smbcacls
%_bindir/smbcquotas
%_bindir/rpcclient
%_man1dir/smbtar.1*
%_man1dir/smbtree.1*
%_man1dir/smbclient.1*
%_man1dir/nmblookup.1*
%_man1dir/findsmb.1*
%_man1dir/smbcacls.1*
%_man1dir/smbcquotas.1*
%_man1dir/rpcclient.1*
%_man8dir/smbspool.8*
%_libdir/*.so*

%files client-devel-static
%_libdir/*.a

%files client-devel
%_includedir/*.h
%_bindir/smbfilter

%files client-cups
# Link of smbspool to CUPS
%_libdir/cups/backend/smb

%files common
%_bindir/mksmbpasswd.sh
%_bindir/net
%_bindir/ntlm_auth
%_bindir/rpcclient
%_bindir/smbcontrol
%_bindir/smbpasswd
%_bindir/smbsh
%_bindir/smbwrapper.so
%_bindir/tdbbackup
%_bindir/testparm
%_bindir/testprns
%_bindir/wbinfo
%_sbindir/winbindd
%attr(755,root,root) /lib/security/*
%attr(755,root,root) /lib/libnss*
%attr(-,root,root) %config(noreplace) %_sysconfdir/%origname/smb.conf
%attr(-,root,root) %config(noreplace) %_sysconfdir/%origname/lmhosts
%attr(-,root,root) %config %_initdir/winbind
%attr(644,root,root) %config(noreplace) %_sysconfdir/pam.d/system-auth-winbind
%attr(644,root,root) %config(noreplace) %_sysconfdir/pam.d/samba
%_man1dir/ntlm_auth.1*
%_man1dir/smbcontrol.1*
%_man1dir/smbsh.1*
%_man1dir/testparm.1*
%_man1dir/testprns.1*
%_man5dir/smb.conf.5*
%_man5dir/smbpasswd.5*
%_man5dir/lmhosts.5*
%_man1dir/wbinfo.1*
%_man7dir/samba.7*
%_man8dir/net.8*
%_man8dir/smbpasswd.8*
%_man8dir/tdbbackup.8*
%_man8dir/winbindd.8*
%dir %_libdir/%origname/vfs
%dir %_libdir/%origname/pdb
%dir %_libdir/%origname/auth
%dir %_libdir/%origname/charset
%dir %_libdir/%origname/idmap
%dir %_libdir/%origname/rpc
%_libdir/%origname/*.dat
%attr (750,root,winbind) %dir %_cachedir/%origname/winbindd_privileged

%if_enabled xml
%files pdb-xml
%_libdir/%origname/pdb/xml.so
%endif

%if_enabled mysql
%files pdb-mysql
%_libdir/%origname/pdb/mysql.so
%endif

%files doc
%doc %dir %_docdir/%origname-%version
%doc %_docdir/%origname-%version/[a-z]*

%files vfs
%_libdir/%origname/vfs/*

%files vfs-devel
%dir %_datadir/%origname/vfs-devel
%_datadir/%origname/vfs-devel/*

%changelog
* Tue Nov 4 2003 Valery Inozemtsev <shrek@altlinux.ru> 3.0-alt46.1m
- Rebuild for ALT Linux Master 2.2

* Fri Oct 31 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt46.1
- Rebuild for ALT Linux Sisyphus

* Thu Oct 30 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt46
- Added:
   + Specs for x86 and IQ31244 development board are integrated

* Thu Oct 30 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt45
- Fixed:
   + Fixes to check for wraps which could cause coredumps (jra)

* Tue Oct 28 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt44
- Added:
   + 3.0.1pre1
   + documentations from samba-docs CVS
- Fixed:
   + charset conversion in rNetServerGetInfo RAP call (ab)
   + script/installbin.sh fix updated

* Fri Oct 24 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt43
- Changed:
   + oem:version support now works for any combinations of OEM and version

* Fri Oct 10 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt42
- Fixed:
   + Bug #3144 (http://bugzilla.altlinux.ru)

* Tue Sep 30 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt41
- 3.0.0 final + post release fixes
- Added:
   + cifsvfs mount helper and control(8) support to it
   + Use only LinuxPAM and ignore OpenPAM
- Fixed:
   + SWAT tables (#413 in Samba's bugzilla, tpot)
   + Fix broken wins hook functionality (#528 in Samba's bugzilla, tpot)
   + Fix for valid users = %%S in homes share (jra)
   + documentation updated

* Fri Sep 19 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt40
- Fixed:
   + The -P option to smbclient no longer works - update all 
     smbprint scripts to remove it. (#473 in Samba's bugzilla, tpot)
   + 32 bit field in the user structs is actually 2 16-bit fields,
     bad_password_count and logon_count. JRA.

* Thu Sep 18 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt39
- Fixed
   + default ACEs
   + Fix for #470 - unable to display SIDs in ACLs. JRA.

* Wed Sep 17 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt38
- RC4+fixes
- Fixed:
   + NTLMv2 signing bug (#442 in Samba's bugzilla) which prevented
     mixed mode domain join

* Fri Sep 12 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt37
- Back out NTLMv2 patch as suspect to mixed mode domain join failure

* Thu Sep 11 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt36
- Fixed:
   + LDAP code didn't convert from/to UTF-8 in all cases (JRA)

* Wed Sep 10 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt35
- Fixed:
   + getgrouplist() enabler is moved to separate patch 39
   + machine account password change (jra)
   + typo fix which caused CPU spin (jra, Markus Ungermann)
- Added:
   + ability to change vendor string through smb.conf (oem: version)

* Wed Sep 10 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt34
- Fixed:
   + Optimisation in iconv(3) usage paths which broke non-ASCII (jra)

* Tue Sep 09 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt33
- RC3+fixes
- Added:
   + Allow getgrouplist() on glibc-2.2.6-alt0.10 as it contains
     needed fix for CAN-2003-0689

* Mon Sep 01 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt32
- Rebuild for ALT Linux Sisyphus

* Mon Sep 01 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt31
- RC2 + fixes
- Added:
   + Return back Using Samba (2nd edition)
- Fixed:
   + CP850 and CP437 now provided by Samba itself on platforms
     which do not support iconv

* Fri Aug 22 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt30
- Fixed:
   + charset issues in nmbd
   + default charset behaviour for Solaris and iconv
- Disabled:
   + temprorary not package Using Samba as it moved to separate CVS module

* Fri Aug 22 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt29
- Attempt to fix mixed mode joining errors

* Wed Aug 20 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt28
- Use new version scheme

* Wed Aug 20 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt27
- 3.0RC1+post fixes

* Wed Aug 06 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt26
- CVS SAMBA_3_0 up to 2003/08/06

* Tue Jul 29 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt25
- Fixed:
   + user/group enumeration when RA == 0 (was broken since alt23) (jerry)
   + return code for quota flags change when we have no priviledges to do so (metze)

* Tue Jul 29 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt24
- Refine dependencies between subpackages
- Fix NT quotas and integrate them into upstream

* Mon Jul 28 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt23
- Updated:
   + Patch from Stephan Metzemacher for default_quota
   + Patch from Stephan Metzemacher for NT quota
   + CVS SAMBA_3_0 up to 2003/07/28
   + Re-added samba-3.0.release.tar.bz2 (as of beta3)

* Wed Jul 16 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt22
- 3.0beta3+post fixes
- Build documentation by default from Docbook sources
- remove convert_smbpassword as outdated script
- Fixed:
  + smbpasswd false errors when /etc/samba/smbpasswd does not exist

* Tue Jul 15 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt21
- Major re-arrangement of files between sub-packages, it makes
  more reasonable split of binaries according to their purpose.
  Also, a number of missing manpages were added.
- Spec file unification for ALT Linux and ApplianceWare versions.
- Defaults:
   + ALT Linux: build xml and mysql passdb, use well-commented smb.conf
   + AW: disable xml and mysql passdb, use specific smb.conf

* Wed Jul 09 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt20
- Changed:
    + Make %name-pdb-xml dependant on --enable/--disable xml
    + Make %name-pdb-mysql dependant on --enable/--disable mysql
    + Default for both is 'enable'
    + PreRequires glibc-gconv-modules

* Tue Jul 08 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt19
- Changed:
    + smb and winbind initscripts are using start-stop-daemon now
- Added:
    + reload-config command to smbcontrol. smbd, nmbd, and winbindd are aware of it.
    
* Tue Jul 08 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt18
- Stick to 2003-07-06 spanshot as Jerry and Jeremy started to rewrite
  bits of Auth and Idmap now and SAMBA_3_0 is broken currently.
- Apply open-dev-inode patch

* Fri Jul 04 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt17
- Apply Andrew Bartlett's LDAP fixes, to eliminate last bits of 
  idmap problems in beta2

* Fri Jul 04 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt16
- Fix idmap_init ignoring 'idmap backend' option
- Back out Jeremy's fixes to strupper/strlower as they are incomplete 
  and broke the build.

* Wed Jul 02 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt15
- 3.0beta2
- Updated:
   + release-cvs patch to include diff between SAMBA_3_0_RELEASE 
     and SAMBA_3_0 (only version string so far)

* Tue Jul 01 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt14
- Prepare for beta2
- Apply metze's move of default quota to VFS module
- Enable 'inherit acls' and 'inherit permissions' by default

* Wed Jun 25 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt12
- pre-beta2 (2003-06-25)

* Mon Jun 09 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt11
- Samba 3.0 beta 1 + post fixes for client plaintext auth
- Updated:
   + system-winbind pam module to reflect base packages
- Removed:
   + NT quota patch -- integrated into upstream

* Wed May 14 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt10
- 2003-05-14
- Fixed:
    + VFS API macros prefixes with SMB_ to avoid clashes with 
      system-specific VFS_ macros on some platforms (AIX)
    + Quota configuration now runs test cases during configure to
      gather detailed information about quota API divergence
- Added:
    + new idmap
    + new LDAP schema -- read examples/LDAP!

* Mon May 12 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt9
- 2003-05-12
- Fixed:
    + Cascaded VFS to finally support per-module local data storage
      (metze, ab, jelmer)
    + NT quotas stuff (metze, ab)

* Fri Apr 25 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt8
- Added:
    + Stephan Metzmacher's NT Quotas support (experimental)
    + post alpha23 (See ChangeLog.SAMBA_3_0)
    + support for winbindd privileged pipe for winbind group members
- Splitted:
    + pdb_xml to %name-pdb-xml
    + pdb_mysql to %name-pdb-mysql

* Wed Feb 05 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt7
- Fixed:
    + gencache must try to reopen its database in read-only mode
      if read-write/creation failed in order to keep non-priviledged
      clients continue working.

* Tue Feb 04 2003 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt6
- alpha21 (SAMBA_3_0 as of 2003-02-04)
- control(8) support added for smbmount
- sendfile support enabled by default
- Add ntml_auth helper and smbgroupedit.8 man page

* Fri Aug 09 2002 Stanislav Ievlev <inger@altlinux.ru> 3.0-alt5.1
- fixed suid/sgid file permissions
- building is no SMP compatible

* Wed Aug 07 2002 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt5
- Update to alpha18+post CVS fixes (really tons of changes)
- Updated:
    + Cascaded VFS integrated to upstream (ab, idra, abartlet)
    + Jan Kara quotas support
- Fixed:
    + block.so to use asprintf instead of strcat
    + spec file synchronized with 2.2 branch, new subpackages added
      (client-devel[-static], client-cups, vfs)

* Fri May 17 2002 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt4
- Fixed:
    + paths for piddir, lockdir, and swat
- Slightly modified build procedure to deal with SMP builds

* Thu Apr 18 2002 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt3
- Fixed:
    + xinet.d restart should affect samba3-swat only

* Thu Apr 18 2002 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt2
- Fixed:
    + Wrong requires (samba-common instead of samba3-common)
    + lockdir should be specified directly now

* Mon Apr 15 2002 Alexander Bokovoy <ab@altlinux.ru> 3.0-alt1
- Merge ApplianceWare changes into ALT Linux
- Added
    + Cascaded VFS patch (me)
    + Smbfs unicode fixes ported from 2.2 (me)
- Changed:
    + smb.conf to follow 3.0 development

* Fri Apr 05 2002 Alexander Bokovoy <ab@optifacio.com> 3.0-16aw
- Fix libcap dependency

* Wed Apr 03 2002 Alexander Bokovoy <ab@optifacio.com> 3.0-15aw
- Fix dependencies for vfs devel package

* Tue Apr 02 2002 Alexander Bokovoy <ab@optifacio.com> 3.0-13aw
- Integrated latest spec changes from ALT Linux
- Prepared VFS devel package

* Fri Mar 29 2002 Alexander Bokovoy <ab@optifacio.com> 3.0-12aw
- Fixed:
    + nmbd shutdown bug (rewritten shutdown process)
    + AD paged controls bug

* Mon Mar 25 2002 Alexander Bokovoy <ab@optifacio.com> 3.0-11aw
- Bring back libnss_winbind.so build

* Mon Mar 25 2002 Alexander Bokovoy <ab@optifacio.com> 3.0-10aw
- Updated:
    + aw-smbstatus patch
    
* Mon Mar 25 2002 Alexander Bokovoy <ab@optifacio.com> 3.0-9aw
- Fixed:
    + bug with file truncate (#0001081)
    + initscript for nmbd

* Wed Mar 06 2002 Alexander Bokovoy <ab@optifacio.com> 3.0-8aw
- Fixed:
    + initscript for nmbd

* Mon Feb 18 2002 Alexander Bokovoy <ab@optifacio.com> 3.0-6aw
- Fixed:
    + net ads
    + signed/unsigned

* Fri Feb 15 2002 Alexander Bokovoy <ab@optifacio.com> 3.0-5aw
- Fixed:
    + Bug in 'net ads'

* Wed Feb 06 2002 Alexander Bokovoy <ab@optifacio.com> 3.0-4aw
- Uncommented smbpasswd

* Fri Feb 01 2002 Alexander Bokovoy <ab@optifacio.com> 3.0-3aw
- Samba CVS [20020201] update
- Fixed patch for smbstatus
- Reviewed set of utils

* Wed Jan 30 2002 Alexander Bokovoy <ab@optifacio.com> 3.0-2aw
- Use 3.0a14 as base

* Mon Jan 28 2002 Alexander Bokovoy <ab@optifacio.com> 3.0-1aw
- Move to 3.0

* Thu Jan 17 2002 Alexander Bokovoy <ab@optifacio.com> 2.2.2-alt11
- Fixed:
    + winbind default domain patch (me)
    + smb.conf (code pages information corrected, move to use own config)
    + popup message translation (Ihar Viarheichyk)
- Removed:
    + support for pam_smbpass, use winbind instead
- Changed:
    + changed attributes for smbmount/smbmnt to comply with relaity
    + winbindd moved to samba-common (server isn't required for its usage)
    + CUPS support splitted to samba-client-cups

* Fri Jan 04 2002 Alexander Bokovoy <ab@optifacio.com> 2.2.2-alt10
- Fixed:
    + bug in smbclient -L (jeremy)

* Fri Dec 21 2001 Alexander Bokovoy <ab@optifacio.com> 2.2.2-alt9
- Fixed:
    + pam_winbind's parse_domain_user updated to current version
    + system-auth-winbind updated to pam-config 1.1.1-alt1

* Thu Dec 20 2001 Alexander Bokovoy <ab@optifacio.com> 2.2.2-alt8
- Fixed:
    + winbind default domain patch (created new one)
    + Alpha_strcpy patch merged to upstream
- Updated:
    + system-auth-winbind to follow TCB integration
- Added:
    + make proto and winbindd_proto calls (they work again)

* Fri Nov 30 2001 Alexander Bokovoy <ab@optifacio.com> 2.2.2-alt7
- Build with new winbind code from HEAD

* Tue Nov 20 2001 Alexander Bokovoy <ab@optifacio.com> 2.2.2-alt6
- Fixed:
    + stop connection away problems (Tom Jansen)
    + error code handling in smbwrapper (new clierr code sync)
- Removed:
    + make proto call (prototypes for quotas get broken after it)

* Mon Nov 19 2001 Alexander Bokovoy <ab@optifacio.com> 2.2.2-alt5
- Fixed:
    + alpha_strcpy to handle non-latin1 characters (Ihar Viarheichyk)
    + back port of working Winbindd from HEAD (Jeremy Allison)
    + client-enc patch merged into upstream
    + pam_smbpass to remove conflicting namespaces with lib/util.c
- Updated:
    + Unified workgroup name patch
- Things left to do:
    + UTF-8 patch (Ihar Viarheichyk)

* Thu Nov 01 2001 Alexander Bokovoy <ab@optifacio.com> 2.2.2-alt4
- Fixed bug with non-ascii letters in smbclient and user and domain names
  More work is needed on user/domain area though. (Ihar Viarheichyk)
- Preparations for UTF-8/Unicode internal string processing patch by Ihar Viarheichyk
- Added recent ChangeLog for SAMBA_2_2 branch
- Version string changed to "ALT Linux/2.2.2" in order to comply with Tridge's call
  for easy identification of vendor-specific versions

* Sat Oct 20 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.2.2-alt3
- Moved documentation to separate subpackage.
- Corrected documentation a bit, to fix dependencies.

* Thu Oct 18 2001 Alexander Bokovoy <ab@optifacio.com> 2.2.2-alt2
- rebuild against new glibc
- fix of spec cleanup for _shareddir.
- Fix Swat location for FHS conformance

* Mon Oct 15 2001 Alexander Bokovoy <ab@optifacio.com> 2.2.2-alt1
- 2.2.2
- minor spec clean up (Grigory Milev)

* Thu Oct 11 2001 Alexander Bokovoy <ab@optifacio.com> 2.2.1a-alt11
- Fixed:
+ Memory leaks in Winbindd (close to final fix)
+ SAM management
+ Most patches were successfully integrated into mainstream
- Last build of 2.2.2-pre, next one should be official 2.2.2
- Added:
+ System auth via winbind (fixed spelling errors in Mandrake's version)

* Thu Aug 30 2001 Alexander Bokovoy <ab@optifacio.com> 2.2.1a-alt10
- Fixed:
+ Winbindd talloc, new shiny challenge encryption protocols (tpot)
+ pam_smbpass and smb_passwd API changes (Steve Langasek and me, patch #516)
- Added:
+ preliminary support for ACLs

* Mon Aug 20 2001 Alexander Bokovoy <ab@optifacio.com> 2.2.1a-alt9
- Fixed:
+ Winbindd with some realoc-related problems
- Updated documentation (patch #30 has been merged into mainstream)

* Mon Aug 13 2001 Alexander Bokovoy <ab@optifacio.com> 2.2.1a-alt8
- Fixed:
+ Winbindd to properly set up default workgroup name
+ Winbindd to validate against current domain, not default one
- Added:
+ Winbind init script

* Mon Aug 13 2001 Alexander Bokovoy <ab@optifacio.com> 2.2.1a-alt7
- Fixed:
+ Symlinks /sbin/mount.smb and /sbin/mount.smbfs now point to /usr/bin/smbmount
+ SWAT documentation for winbindd has been fixed (samedit is outdated)

* Mon Aug 13 2001 Alexander Bokovoy <ab@optifacio.com> 2.2.1a-alt6
- Various fixes in /etc/samba/smb.conf
- Patch 21 is removed
- NSS patch for seamless domain integration enhanced. Users from default
  domain now are accepted without explicit DOMAIN exposure in the username.

* Wed Aug 08 2001 Alexander Bokovoy <ab@optifacio.com> 2.2.1a-alt5
- Symlink for libnss_winbind.so.2 added
- pam_smbpass.so and smbwrapper.so moved to /lib/security
- Help about pam_smbpass is added in README.pam_smbpass and into
  examples/pam_smbpass

* Wed Aug 08 2001 Alexander Bokovoy <ab@optifacio.com> 2.2.1a-alt4
- First build with Winbind support integrated
- See winbindd(8), smb.conf(5) for proper configuration
- Buildreq fixed for cups-devel (libcups-devel)
- smb start up script is fixed

* Tue Jul 31 2001 Stanislav Ievlev <inger@altlinux.ru> 2.2.1a-alt3
- Light spec cleanup.
- Returned right version of /etc/rc.d/init.d/smb

* Thu Jul 19 2001 AEN <aen@logic.ru> 2.2.1a-alt2
- fix permissions on /var/spool/samba
* Thu Jul 12 2001 AEN <aen@logic.ru> 2.2.1a-alt1
- 2.2.1a
- %post fixed

* Wed Jul 11 2001 AEN <aen@logic.ru> 2.2.1-alt7
- PreReq: libcups in samba-common
* Wed Jul 11 2001 AEN <aen@logic.ru> 2.2.1-alt6
- build oficial release
- sync with MDK

* Wed Jun 27 2001 AEN <aen@logic.ru> 2.2.1-alt5
- smb.init fixed -- thnx to  Sviatoslav Sviridov

* Sun Jun 24 2001 AEN <aen@logic.ru> 2.2.1-alt4
- new code with security fix
- %preun_service macros name fixed

* Thu Jun 14 2001 AEN <aen@logic.ru> 2.2.1-alt3
- cups problem  solved (patch from mdk)

* Wed May 30 2001 AEN <aen@logic.ru> 2.2.1-alt2
- new code from CVS
- configuration files moved to /etc/samba
- sync with MDK

* Mon May 21 2001 AEN <aen@logic.ru> 2.2.1-alt1
- new version
- alt patch adopted

* Wed Apr 25 2001 AEN <aen@logic.ru> 2.2.0-alt2
- inetd problem fixed
- sync with MDK

* Thu Apr 19 2001 AEN <aen@logic.ru> 2.0.8-alt2
- tmpdir patch

* Wed Apr 18 2001 AEN <aen@logic.ru>
- 2.0.8
- rh patches

* Wed Apr 18 2001 AEN <aen@logic.ru> 2.2.0-alt1
- new spec from samba tarball
- build for Sisyphus
- 1251 patch

* Wed Dec 06 2000 AEN <aen@logic.ru>
- 1251 patch
- build for RE

* Thu Nov 23 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-20mdk
- removed dependencies on cups and cups-devel so one can install samba without using cups
- added /home/netlogon

* Mon Nov 20 2000 Till Kamppeter <till@mandrakesoft.com> 2.0.7-19mdk
- Changed default print command in /etc/smb.conf, so that the Windows
  driver of the printer has to be used on the client.
- Fixed bug in smbspool which prevented from printing from a
  Linux-Samba-CUPS client to a Windows server through the guest account.

* Mon Oct 16 2000 Till Kamppeter <till@mandrakesoft.com> 2.0.7-18mdk
- Moved "smbspool" (Samba client of CUPS) to the samba-client package

* Sat Oct 7 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 2.0.7-17mdk
- Added RedHat's "quota" patch to samba-glibc21.patch.bz2, this fixes
  quota related compile problems on the alpha.

* Wed Oct 4 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-16mdk
- Fixed 'guest ok = ok' flag in smb.conf

* Tue Oct 3 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-15mdk
- Allowed guest account to print in smb.conf
- added swat icon in menu

* Tue Oct 3 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-14mdk
- Removed rh ssl patch and --with-ssl flag: not appropriate for 7.2

* Tue Oct 3 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-13mdk
- Changed fixinit patch.
- Changed smb.conf for better CUPS configuration.
- Thanks Fred for doing this ---vvv.

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0.7-12mdk
- menu entry for web configuration tool.
- merge with rh: xinetd + ssl + pam_stack.
- Added smbadduser rh-bugfix w/o relocation of config-files.

* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0.7-11mdk
- added build requires on cups-devel and pam-devel.

* Mon Oct  2 2000 Till Kamppeter <till@mandrakesoft.com> 2.0.7-10mdk
- Fixed smb.conf entry for CUPS: "printcap name = lpstat", "lpstats" was
  wrong.

* Mon Sep 25 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-9mdk
- Cosmetic changes to make rpmlint more happy

* Wed Sep 11 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-8mdk
- added linkage to the using_samba book in swat

* Fri Sep 01 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-7mdk
- Added CUPS support to smb.conf
- Added internationalization options to smb.conf [Global]

* Wed Aug 30 2000 Till Kamppeter <till@mandrakesoft.com> 2.0.7-6mdk
- Put "smbspool" to the files to install

* Wed Aug 30 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-5mdk
- Did some cleaning in the patches

* Fri Jul 28 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-4mdk
- relocated man pages from /usr/man to /usr/share/man for compatibility reasons

* Fri Jul 28 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-3mdk
- added make_unicodemap and build of unicode_map.$i in the spec file

* Fri Jul 28 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-2mdk
- renamed /etc/codepage/codepage.$i into /etc/codepage/unicode_map.$i to fix smbmount bug.

* Fri Jul 07 2000 Sylvestre Taburet <staburet@mandrakesoft.com> 2.0.7-1mdk
- 2.0.7

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 2.0.6-4mdk

- Titi sucks, does not put versions in changelog
- Fixed groups for -common and -client
- /usr/sbin/samba is no config file

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix buggy post install script (pixel)

* Fri Mar 17 2000 Francis Galiegue <francis@mandrakesoft.com> 2.0.6-2mdk

- Changed group according to 7.1 specs
- Some spec file changes
- Let spec-helper do its job

* Thu Nov 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.0.6.

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with rh changes.
- Split in 3 packages.

* Fri Aug 13 1999 Pablo Saratxaga <pablo@@mandrakesoft.com>
- corrected a bug with %post (the $1 parameter is "1" in case of
  a first install, not "0". That parameter is the number of packages
  of the same name that will exist after running all the steps if nothing
  is removed; so it is "1" after first isntall, "2" for a second install
  or an upgrade, and "0" for a removal)

* Wed Jul 28 1999 Pablo Saratxaga <pablo@@mandrakesoft.com>
- made smbmnt and smbumount suid root, and only executable by group 'smb'
  add to 'smb' group any user that should be allowed to mount/unmount
  SMB shared directories

* Fri Jul 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.0.5a (bug security fix).

* Wed Jul 21 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 2.0.5
- cs/da/de/fi/fr/it/tr descriptions/summaries

* Sun Jun 13 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 2.0.4b
- recompile on a system that works ;)

* Wed Apr 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.
- Bzip2 man-pages.

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- add a mount.smb to make smb mounting a little easier.
- smb filesystems apparently do not work on alpha. Oops.

* Thu Mar 25 1999 Bill Nottingham <notting@redhat.com>
- always create codepages

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- updated init script to use graceful restart (not stop/start)

* Tue Mar  9 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.3

* Thu Feb 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.2

* Mon Feb 15 1999 Bill Nottingham <notting@redhat.com>
- swat swat

* Tue Feb  9 1999 Bill Nottingham <notting@redhat.com>
- fix bash2 breakage in post script

* Fri Feb  5 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.0

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- make sure all binaries are stripped

* Thu Sep 17 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.9.18p10.
- fix %triggerpostun.

* Tue Jul 07 1998 Erik Troan <ewt@redhat.com>
- updated postun triggerscript to check $0
- clear /etc/codepages from %preun instead of %postun

* Mon Jun 08 1998 Erik Troan <ewt@redhat.com>
- made the %postun script a tad less agressive; no reason to remove
  the logs or lock file (after all, if the lock file is still there,
  samba is still running)
- the %postun and %preun should only exectute if this is the final
  removal
- migrated %triggerpostun from Red Hat's samba package to work around
  packaging problems in some Red Hat samba releases

* Sun Apr 26 1998 John H Terpstra <jht@samba.anu.edu.au>
- minor tidy up in preparation for release of 1.9.18p5
- added findsmb utility from SGI package

* Wed Mar 18 1998 John H Terpstra <jht@samba.anu.edu.au>
- Updated version and codepage info.
- Release to test name resolve order

* Sat Jan 24 1998 John H Terpstra <jht@samba.anu.edu.au>
- Many optimisations (some suggested by Manoj Kasichainula <manojk@io.com>
- Use of chkconfig in place of individual symlinks to /etc/rc.d/init/smb
- Compounded make line
- Updated smb.init restart mechanism
- Use compound mkdir -p line instead of individual calls to mkdir
- Fixed smb.conf file path for log files
- Fixed smb.conf file path for incoming smb print spool directory
- Added a number of options to smb.conf file
- Added smbadduser command (missed from all previous RPMs) - Doooh!
- Added smbuser file and smb.conf file updates for username map



